# Jedi Academy Reloaded™
Version | 1.4
Author | Ryan 'Orion' Hummer
Email | orion2486@hotmail.com
Type | Jedi Knight: Jedi Academy Server Side Extension

### Index Overview 1.4 - Final 1.3 1.2 Installation Modifications Rcon, Admin, and Knight Commands Client Commands Emotes Damage CVars Message CVars Other CVars Bit Mask Calculator Known Issues FAQ Special Thanks Disclaimer

### Overview This mod is the official mod for the Jedi Academy. A server-side only modification designed to keep the peace and order on the servers. With that in mind, I set out and improved this mod with the way I wanted it to in the past. It's loaded with Admin Commands, Client Commands, Options, and cVars; Extremely modified to meet any clans expectations. This is truly the only mod you will ever need to use that doesn't alter the normal gameplay of Jedi Knight: Jedi Academy® Please visit us at http://www.thejediacademy.net, http://jamod.jk3files.com or chat with us on IRC at #jedi-academy or #ja-reloaded @ irc.quakenet.org. ### 1.4 - Final ---New Features--- Return of Protect from the Jedi Academy Mod. Added amdmginfo which will display if the servers run a modified damage setting from basejk. Added ProtectGun/UnprotectGun. Added duel time to the Private Duel Stats, is in the format mm:ss. Added amteleme/jkteleme - teleports the admin who executed the command to the given x,y,z,yaw coordinates. Added amffduelchallenge, to allow for Full Force Private Duels. Players in duel do not do damage, or absorb health/force when using force to any none dueler near them. The same goes for non duelers using force near two Full Forcer duelers. Player not in a duel do not do damage, or absorb health/force when using force, and are near FF duelers. g_mFFPrivateDuels MUST be set to 1 to use. Recommended to bind amffduelchallenge to a key. Added a few emotes: amsit, amsit2, amwait, amjig, and amquiet. Enabled/Disable emotes with cVar. Added commands to add/removed and list both the Profanity List and Bad Names List. maddprof, mremprof, mlistprof, maddname, mremname, mlistnames Extended the use of g_mDuelStats CVar, setting it to 1 shows stats to only the two duelers, setting it to 2 shows stats to all players. Extended the profanity filter that allows for it to be applied to names, using a cVar to enable the extention. Extended the use of the \tell command. It can now take in player's names instead of just client ids. Removed the g_mFlipKick, until I decide if I want it back in and 100% working. Removed mvstr, due to extreme exploit that existed in the command. Improved damage issues found in Linux and Windows servers. The Linux version is now compiled with the tools used by Raven to make the base jampgamei386.so Improved kick and kick ban, made the <reason> argument optional, if a reason is not given the kick message cVar value is used instead. The client is notified that they are about to be kicked, and a CVar controlled time delay will show them the warning for that many seconds and count down, then kick them. Added an alias so admins no longer have to bring down the console to do amsay or mpsay. To do mpsay from the chat modes, simply use the team chat mode, add a @ to the front of the message. example: "say @ hi admins" With out the "" and there MUST be a space after @. To do amsay from the chat modes, simply use the normal chat mode, add a @ to the front of the message. example: "say_team @ hi admins" With out the "" and there MUST be a space after @. Fixed projectile deflection, thanks to Andrew "Mushroom" Kerr, for the fix. Fixed issue in Profanity Filter where it would filter out words like, "class", "bass", "Good Fight", "^1class". Fixed bug in Profanity Filter where it would no filter curse words with multipule colors. Fixed the bug with g_mAllowTeamSuicide not letting player \kill with this set to 1. Fixed the bug where doing "\ignore all" or "\mrename all <name>" would crash the server. Those commands are not ment to be used with the keyword 'all'. Fixed wall grab bug, where doing a grab on a incline would cause the player to slide up the surface. Fixed bug in a few commands where not giving all the arguments would cause a full screen message to still be printed. Fixed basejk bug with voting that cause to overwrite the lockteam values, so locking teams seemed to be broken. Fixed bug with sleep, where the player would not be ejected from a vehicle. Thanks to cHoSeN-oNe. Fixed bug with \ignore, someone not being ignored and just doing '\ignore' ignoring a random person. Fixed bug with spectators not being kicked until they leave spectator. Fixed bug where admin specing another player would result in message to admin been shown to person they are specing. Fixed bug where the locking and unlocking of a team would not be broadcasted to everyone in the server. Improved random team picking. Improved the wampa sounds. Thanks to cHoSeN-oNe. Players cannot change their names when they are silenced. Updated jar_admin.cfg to reflect the new admin gun additions. Made the number of vehicles to 64. ---New Cvars--- g_mSilentWhois - To control whether admin's see who is logged in or both clients and admin's. g_mNoAdminSpec - Allows for clients to not spec admins. g_mMessageUnProtectEveryone - Message to broadcast when unprotecting all. g_mMessageUnProtectBroadcast - Message to broadcast when uprotecting a client, seen by all. g_mMessageUnProtectTarget - Message to broadcast when unprotecting a client, seen only by the client. g_mMessageProtectEveryone - Message to broadcast when protecting everyone. g_mMessageProtectBroadcast - Message to broadcast when protecting a client, seen by all. g_mMessageProtectTarget - Message to broadcast when protecting a client, seen only by the client. g_mDuelDistance - A value for how far the Duelers can get away from each other before the duel is broken. g_mFFPrivateDuels - Allows for Full Force Private Duels. g_mEmotes - Sets the allowed emotes for a server, using a bit mask value. Just like the g_mKnightCommands and g_mAdminCommands CVars. g_mPushItems - Allows Clients to push/pull all items, brought over from JA Mod. g_mProfCheckNames - Check names from a list of 'bad' names. From a file badnames.lst g_mSwitchTeamTime - Allows for the adjustment for how long before a client can switch to a different team. g_mNameChangeTime - Allows for the adjustment for how long before a client can change their name. g_mKickDelayTime - Time to delay before the player is kicked. g_mKickMessage - The default kick message if a reason is not given. g_mMaxDetandMine - The number of Dets or Mines that can be placed before they start to disappear. ---Misc Info--- Added an Bit mask Calculator for enabling and disabling of admin commands, and emotes. Works with all versions of JAR. d_saberGhoul2Collision, d_saberAlwaysBoxTrace, d_saberBoxTraceSize, are once again cheat restricted, seemed to be a player in the damage issues. More new features and a restructuring of the admin system coming in next version. !version now displays the build date of the MOD. Modified how amsay is displayed to admins. ^3(name^7[rank]:^3) ^5message is the new display format. ### 1.3 ---New Features--- All debug... moves are now cheat restricted. Same name restriction. Full Damage control for Saber, Fighting, and Weapons. xMod Profanity Filter - courtesy of X Master Hex. Improved Empower vs. Terminator game play. Optimized code. Improved Documentation. ---New Cvars--- g_mNerfBacta - cvar to control changing health regeneration for bacta and large bacta. g_mBigBactHP - the amount of health regeneration using the Large Bacta Canister. g_mBactaHP - the amount of health regeneration using the Default Bacta Canister. g_mAllowBotLimit - cvar to control allowing a certain amount of bots on server with human players. g_mMaxBots - the max bots allowed on a server at a given time, before g_mMinHumans is reached. g_mMinHumans - the minimum amount of humans allowed on the server at the same time as bots. g_mAllowTeamSuicide - this cvar controls the use of the \kill during team gameplay. g_mAllowDuelRegen - cvar that controls the use of separate force regen time for private duels only. g_forceRegenTimeDuel - the amount of force regen time in private duels only. g_mFlipKick - enables the use of JK2 Flip Kick. g_mMeleeDMGSwing - your damage level for melee combat. g_mLogDuelStats - cvar to control whether your server logs the stats or not. g_mNerfDamage - cvar that controls use of Saber/Fighting/Weapon Damage CVars. g_mProfanityCheck - Enforces the profanity filter. g_mProfReplace - String to replace the offensive text. g_mWarnings - Warnings before kicked from excessive profanity. ---Cvars no longer cheat enabled--- d_saberGhoul2Collision d_saberAlwaysBoxTrace d_saberBoxTraceSize ### 1.2 AdminGun enabled Major code tweaks Fixed memory leak which caused random crashes using the kick command. g_mSTFU - If enabled, will silence chat on Duel and Power Duel game modes. All game modes enabled from JK2. Empowered vs. Terminator enhanced gameplay. Server Admin's can now pick and choose what commands they wish to allow their “am” and “jk” level admin's to use. g_mAdminCommands - cVar bit value to determine which “am” commands are allowed for their admin's. g_mKnightCommands - cVar bit value to determine which “jk” commands are allowed for their knights. rcon admin can always execute the commands even if they are disabled to other admin's. aminfo - now prints commands that are accessible to admin, instead of just commands in the mod. amhelp - now prints commands help to the admin's pending if they are accessible to them. New IP Range Banning Admin Command ( mbanrange) g_mDebugEmpower - Will enforce the “No Force” rule and will not allow empowered clients to have force. Spectator Followers can now be kicked, banned, etc. without affecting others. mvstr - command that allows you to choose which map you want in the rotation, without disrupting the order. mnextmap - executes next map available in rotation. Most default settings that were in reloaded.cfg are now hard coded into mod for faster and easier configuration. mnpcaccess does not give client access to cheats. You can now use clients names for assigning mnpcaccess/mnpcnoaccess. g_mAdminGun - Enables/Disables AdminGun system. (includes script) g_mAllowTeleFlag - default is enabled, if set to 0, clients cannot teleport during CTF and CTY gameplay. New BanIP.dat file stores banned ip's. Full use of 2048 saved ip's activated! Tweaked the whois command a little again to make it more stable. g_mGiveAdmin - if set to 1, you can grant an admin access level to anyone on the server. madminaccess, mdenyadminaccess - commands for granting/denying admin access to clients. Enable/Disable use of black color names. New logout function - to logout as an admin or knight. Ignore - ignore certain clients from chatting so you don't have to listen to them. Sleeping clients can no longer use the \kill command. ### Installation Linux: Where ever your installation of Jedi Knight: Jedi Academy is, for example: '/home/orion/ja/gamedata' In '/home/orion/ja/gamedata' create a directory 'reload', or extract the reload folder from the .tar.gz archive. If you created the directory, extract the files from the reload directory in th archive, to '/home/orion/ja/gamedata/reload' . You may also need to overwrite the file in your base folder. Now you can start the server with the '+set fs_game reload' argument Example: ./linuxjampded +set fs_game reload +set dedicated 1 +exec server.cfg +exec reloaded.cfg This will start your server, load the reload mod, make the server dedicated and be listed on the master servers. Then exec the two config files, to configure your server. Windows: Create a directory like this: X:\Path\to\Star Wars Jedi Knight Jedi Academy\GameData\reload where 'X:\Path\to\Star Wars Jedi Knight Jedi Academy\' is the path where you installed Jedi Academy. Now you can start the server with the '+set fs_game reload' argument. Example: jampDed +set fs_game reload +set dedicated 1 +exec server.cfg +exec reloaded.cfg This will start your server, load the reload mod, made the server dedicated and be listed on the master servers. Then exect the two config files, to configure your server. IMPORTANT: For the Ban code, you will need to authorize FULL Admin access to the reload folder. Windows: Make sure you have an administrator account. ### Modifications Logging of player IP when player connects to the server. Logging happens in the following format: mlog_ClientConnect: <player client id> '<player name>' -> '<player ip>' Logging of Admin and Knight commands. Every command will be logged in the following format: mlog_command <playername> Removed the 2 player at a time duel limit. Private Duel Stat Logging. Bacta/Big Bacta forbidden in Private Duels. Sabers do not automatically ignite at the start of a duel. When player wins a duel, their health and shields are returned to its pre-duel value. Typing !motd or !rules when chatting will display the motd to the player who typed it. Typing !version or !author when chatting will display the version number and author. Typing !home or !web when chatting will display JA Reloaded Home Page URL. g_banIPs cvar removed because it is no longer needed. bot_honorableduelacceptance no longer cheat protected. Default value is 1. g_mMOTDShowTime - converted to seconds. Max Vehicles now at 64 - courtesy of OJP. g_doWarmup now enabled for warm-up games. - courtesy of OJP. g_mPlayerDuelShield - now works for Duel and Powerduel gametypes. ### Rcon, Admin, and Knight commands
NOTE: | <..> are required (..) are optional playerid => Can be a client id, full player name or partial player name. For example if there's a player named 'Padawan' and you want to kick him you can use this: mkick pad; mkick pada; mkick wan; etc. (Just watch out if there are more players with the same sequence in their name. At this point only the first encountered player is taken for the command. Also note that the keyword 'all' has special meaning. Most commands take the 'all' keyword to execute the command on all players on the server. reason => This sends a message to both the server and the client consoles when a player is kicked or kick-banned. For example you can type: "\amkick pada please follow the rules next time." This will send the message "please follow the rules next time" to the server. Also message will be sent to the person's console. (They can scroll up in their console when they are disconnected)
Rcon command | Admin Command | Knight Command | Admin Gun Command | Cvar Bit Value | Description
--- | --- | --- | --- | --- | ---
madminaccess <playerid> (level) |  |  |  |  | Gives the client admin access level Type am or admin for level 1; Type jk or knight for level 2. Defaults to level 2, knight level access
mdenyadminaccess <playerid> <level> |  |  |  |  | Denies the client admin access Type am or admin for level 1; Type jk or knight for level 2.
msleep <playerid> | amsleep <playerid> | jksleep <playerid> | sleepgun | 1 | Places client in a sleeping position.
mwake <playerid> | amwake <playerid> | jkwake <playerid> | wakegun |  | Wake the player if he's asleep (undo the effects of msleep)
msilence <playerid> <mode> | amsilence <playerid> <mode> | jksilence <playerid> <mode> |  | 2 | Silence players so they can't talk. Mode passed could be 'global' for all chat disabled and 'private' for just public chat disabled.
munsilence <playerid> <mode> | amunsilence <playerid> <mode> | jkunsilence <playerid> <mode> |  |  | Unsilence players so they can talk again. Mode passed could be 'global' or 'gm' for all chat enabled and 'private' or 'pm' for just public chat enabled.
mlockteam <team> | amlockteam <team> | jklockteam <team> |  | 4 | Locks a specific team in CTF mode so no one can join. (Red, Blue, Spectator)
munlockteam <team> | amunlockteam <team> | jkunlockteam <team> |  |  | Unlocks a specific team in CTF mode so people are allowed to join. (Red, Blue, Spectator)
mrandteams | amrandteams | jkrandteams |  | 8 | Randomizes Teams in CTF Gameplay.
mallowvote <playerid> | amallowvote <playerid> | jkallowvote <playerid> | allowvotegun | 16 | Allows client to use the voting feature again.
mdenyvote <playerid> | amdenyvote <playerid> | jkdenyvote <playerid> | denyvotegun |  | Disables use of voting to a specific client.
mshowmotd <playerid> | amshowmotd <playerid> | jkshowmotd <playerid> | showmotdgun | 32 | By default the motd is shown whenever a player enters the game. This can be used to remind someone of the motd/rules by showing it to them again.
mrename <playerid> <new name> | amrename <playerid> <new name> | jkrename <playerid> <new name> |  | 64 | Remotely renames a player.
mpsay <playerid> | ampsay <playerid> | jkpsay <playerid> |  | 128 | Send a message to a specific player. 'All' parameter send the message to everyone.
mtele <playerid> <x> <y> <z> <yaw> | amtele <playerid> <x> <y> <z> <yaw> | jktele <playerid> <x> <y> <z> <yaw> |  | 256 | This can teleport any client to any desired location on a map.
mteleme <x> <y> <z> <yaw> | amteleme <x> <y> <z> <yaw> | jmteleme <x> <y> <z> <yaw> |  |  | This can teleport the logged in admin/knight to any desired location on a map.
mwhois | amwhois | jkwhois |  | 512 | Shows you which client is logged in as a Admin and/or Knight.
morigin <playerid> | amorigin <playerid> | jkorigin <playerid> | origingun | 1024 | This gets client's X, Y, and Z coordinates on the map and prints them to the console.
mkick <playerid> (reason) | amkick <playerid> (reason) | jkkick <playerid> (reason) | kickgun | 2048 | Same as kick but enhanced to also take a clientid or a partial player name, and a reason from the admin for being kicked.
mkickban <playerid> (reason) | amkickban <playerid> (reason) | jkkickban <playerid> (reason) | kickbangun | 4096 | Bans and kicks the player at the same time with a reason why they were kicked. No need to enter an ip.
mbanrange <playerid> <level> (reason) | ambanrange <playerid> <level> (reason) | jkbanrange <playerid> <level> (reason) | banrangegun | 8192 | Kicks and Bans client's ip range.
mnextmap | amnextmap | jknextmap |  | 16384 | Executes and selects the next map available in the rotation
mforceteam <playerid> <team> | amforceteam <playerid> <team> | jkforceteam <playerid> <team> |  | 32768 | Forces the specified player to join the specified team.
mstatus <playerid> | amstatus <playerid> | jkstatus <playerid> |  | 65536 | Altered version of status. If a playerid is given, the selected player will get a full screen display of the status. This is primarily for binding admin commands: bind m amstatus <playerid>
mgametype <gametype> <map> | amgametype <gametype> <map> | jkgametype <gametype> <map> |  | 131072 | Allows the admin to change Gameplay and Map
mnpcaccess <playerid> | amnpcaccess <playerid> | jknpcaccess <playerid> | allownpcgun | 262144 | Gives the client ability to spawn NPC's
mdenynpcaccess <playerid> | amdenynpcaccess <playerid> | jkdenynpcaccess <playerid> | denynpcgun |  | Denies the client access to spawn NPC's
mprotect <playerid> | amprotect <playerid> | jkprotect <playerid> | protectgun | 524288 | Protects a player from damage.
munprotect <playerid> | aunmprotect <playerid> | jkunprotect <playerid> | unprotectgun |  | Unprotects a player from damage.
maddprof | amaddprof | jkaddprof |  | 1048576 | Adds the specified word to the profanity filter.
mremprof | amremprof | jkremprof |  |  | Removes the specified word to the profanity filter.
mlistprof | amlistprof | jklistprof |  |  | Lists all the words in the profanity filter.
maddname | amaddname | jkaddname |  | 2097152 | Adds the specified name to the Bad Names list.
mremname | amremname | jkremname |  |  | Removes the specified name from the Bad Names list.
mlistnames | amlistnames | amlistnames |  |  | Lists all the names in the Bad Names List.
Included is a jar_admin.cfg script which allows the admin user to access the admin gun commands with ease. Place this file in your base folder and type \exec jar_admin.cfg in game console when in game. ### Client Commands -- Client Commands can be used by all clients. Admin Commands only for logged in admin's and knights and are controlled via g_mAdminCommands and g_mKnightCommands cVars.
Client command | Cvar | Description
--- | --- | ---
amdmginfo |  | If the server is using g_mNerfDamage, it will show all the damage values used by the server. Else it will say the server uses basejk settings.
aminfo |  | Show all the available commands you have access to.
amhelp |  | Quick Help for commands available in mod.
amlogin <password> | g_mAllowAdminLogin | Allows Secondary Admins to use the Admin Commands
jklogin <password> | g_mAllowKnightLogin | Allows Knights to use the Admin Commands
logout | g_mAllowAdminLogin g_mAllowKnightLogin | Allows Admins and Knights to Logout.
amsay <message> |  | Sends a message to all logged in Admins and Knights.
ignore <playerid> |  | Ignores chat from a certain player. (repeat to disable)
amffduelchallenge | g_mFFPrivateDuels | Allows for Full Force Private Duels.
### Emotes -- Emotes can be used by all clients and are enabled via g_mEmotes cVar.
Command | Cvar Bit Value | Description
--- | --- | ---
amsit | 1 | Sits down or stands up. You can turn on the CVar g_mOnlySitOnGround to only allow players to sit down on the ground.
amsit2 | 2 | Another Sit command. You can turn on the CVar g_mOnlySitOnGround to only allow players to sit down on the ground.
amwait | 4 | Makes person put hands behind their back. Use the g_mOnlySitOnGround cvar to only allow players to execute this move on the ground.
amquiet | 8 | The player raise their hand like Luke Skywalker in the SP Mode, as to tell another person to be quiet, or quiet down.
amjig | 16 | The players legs move about 180 degrees, in a dance or jig like fashion.
amsurrender | 32 | Puts your arms up in the air. Use the g_mOnlySitOnGround cvar to only allow players to execute this move on the ground.
### Saber/Fighting Damage CVars -- Commands that can be used to control the damage certain moves do. Note that certain moves have a min and a max damage. The min damage is in the beginning and ending of the move the max damage is usually the middle of the move. Values are interpolated over the whole range of the move. As a rule of thumb the number of HP that will go off is about equal to half of the damage. Default values are the normal Jedi Academy values.
CVar | Description
--- | ---
g_mSaberDMGIdle | Damage a saber does when idle. (Default is 1)
g_mMeleeDMGSwing | Damage a single punch does when in melee combat. (Default is 11)
g_mSaberDMGThrow | Damage a thrown saber does. (Default is 30)
g_mSaberDMGThrowReturn | Damage a thrown saber does on it's way back. (Default is 5)
g_mSaberDMGTwirl | Damage for dual/staff saber twirl. (Default is 10)
g_mSaberDMGDualKata | Damage for Dual Saber Kata. (Default is 90)
g_mSaberDMGStaffKataMin | Min Damage for Staff Saber Kata. (Default is 60)
g_mSaberDMGStaffKataMax | Max Damage for Staff Saber Kata. (Default is 70)
g_mSaberDMGSpecialMin | Min Damage for Dual/Staff Saber Specials. (Default is 2)
g_mSaberDMGSpecialMax | Max Damage for Dual/Staff Saber Specials. (Default is 90)
g_mSaberDMGMultiMin | Min Damage for Dual/Staff Saber Normal Attacks. (Default is 2)
g_mSaberDMGMultiMax | Max Damage for Dual/Staff Saber Normal Attacks. (Default is 70)
g_mSaberDMGRedNormal | Normal damage for normal red slashes. (Default is 100)
g_mSaberDMGRedNormalMin | Min damage for normal red slashes. (Default is 2)
g_mSaberDMGRedNormalMax | Max damage for normal red slashes. (Default is 120)
g_mSaberDMGRedDFAMin | Min damage for the red Death From Above move. (Default is 2)
g_mSaberDMGRedDFAMax | Max damage for the red Death From above move. (Default is 180)
g_mSaberDMGRedBackMin | Min damage for the red backslash move. (Default is 2)
g_mSaberDMGRedBackMax | Max damage for the red backslash move. (Default is 30)
g_mSaberDMGYellowNormal | Normal damage for the yellow slash. (Default is 60)
g_mSaberDMGYellowDFAMin | Min damage of the yellow downward slash. (Default is 2)
g_mSaberDMGYellowDFAMax | Max damage of the yellow downward slash. (Default is 80)
g_mSaberDMGYellowBackMin | Min damage for the yellow backslash move. (Default is 2)
g_mSaberDMGYellowBackMax | Max damage for the yellow backslash move. (Default is 25)
g_mSaberDMGBlueNormal | Normal damage for the blue slash. (Default is 35)
g_mSaberDMGBlueLungeMin | Min damage for the blue lunge move. (Default is 2)
g_mSaberDMGBlueLungeMax | Max damage for the blue lunge move. (Default is 30)
g_mSaberDMGBlueBackMin | Min damage for the blue backstab move. (Default is 2)
g_mSaberDMGBlueBackMax | Max damage for the blue backstab move. (Default is 30)
### Message CVars --These CVars are custom messages that can be set for certain commands. This is what players see when a command is executed. Note that some commands allow the use of %s to be replaced with the affected player's name. Also note that in most CVars a \n can be used to insert an enter.
Everyone [Get's shown when using a command with the all keyword] | Broadcast [Get's broadcast to everyone but the target of a command] | Target [Get's broadcast to the target of a command]
--- | --- | ---
g_mMessageUnSilenceEveryone | g_mMessageUnSilenceBroadcast | g_mMessageUnSilenceTarget
g_mMessageSilenceEveryone | g_mMessageSilenceBroadcast | g_mMessageSilenceTarget
g_mMessageWakeEveryone | g_mMessageWakeBroadcast | g_mMessageWakeTarget
g_mMessageSleepEveryone | g_mMessageSleepBroadcast | g_mMessageSleepTarget
g_mMessageTeleEveryone | g_mMessageTeleBroadcast | g_mMessageTeleTarget
g_mMessageForceTeamEveryone | g_mMessageForceTeamBroadcast | g_mMessageForceTeamTarget
g_mMessageVoteAllowEveryone | g_mMessageVoteAllowBroadcast | g_mMessageVoteAllowTarget
g_mMessageVoteDenyEveryone | g_mMessageVoteDenyBroadcast | g_mMessageVoteDenyTarget
g_MessageProtectEveryone | g_mMessageProtectBroadcast | g_mMessageProtectTarget
g_mMessageUnProtectEveryone | g_mMessageUnProtectBroadcast | g_mMessageUnProtectTarget
### Other CVars --These are some miscellaneous CVars that are primarily used for control switches that enable and disable certain features in Jedi Academy Reloaded. You will find these very useful.
CVar | Description
--- | ---
g_mAdminPassword | The password for the Jedi Academy Admin's.
g_mKnightPassword | The password for the Jedi Academy Knights.
g_mAdminCommands | This value determines which commands are available to the "am" level admin. Its value is the sum of all the desired command's bit value. (Default is 4194304 All enabled.)
g_mKnightCommands | This value determines which commands are available to the "jk" level admin. Its value is the sum of all the desired command's bit value. (Default is 133795 JA Reloaded default.)
g_mPushItems | If this is set to 1, Clients are able to Push/Pull all items. (Default is 1)
g_mAllowTeamSuicide | If this is set to 0, Clients cannot use the \kill command during team gameplay. (Default is 1)
g_mGiveAdmin | If this is set to 1, Rcon can give clients a level of admin access. (Default is 1)
g_mDuelStats | If this is set to 1, Duelers are able to see stats after private duels. If this is set to 2, everyone on the server will see stats ofter private duels. (Default is 1)
g_mLogDuelStats | If this is set to 1, Server will log private duel stats. (Must have g_mDuelStats set to 1)
g_mNerfDamage | If this is set to 1, you can use the Saber Damage cvars. (Default is 0)
g_mNerfBacta | If this is set to 1, you can alter the health regeneration for Large and Normal size Bacta canisters. (Default 0)
g_mBigBactaHP | This CVar alters the health regeneration for Large size Bacta canisters. (Default is 50)
g_mBactaHP | This CVar alters the health regeneration for Normal size Bacta canisters. (Default is 25)
g_mAllowBlack | If this is set to 1, Clients can use the color black for names. (Default is 1)
g_mEnforceDuel | If this is set to 0, this disables the one duel at a time rule. If set to 1, there can only be one private duel going on at a time. (Default is 1)
g_mAllowBotLimit | If this is set to 1, Server Admin can set the g_mMaxBots and g_mMinHumans on the server. (Default is 0)
g_mMaxBots | Set to any number of max bots you want on your server. When g_mMinHumans is reached or excelled, they will be kicked automatically. (Default is 1)
g_mMinHumans | The number of Humans on the server before a bot is kicked. (Default is 2)
g_mJvsT | If this is set to 1, Clients can play Empowered vs. Terminator game mode. Must set jediVmerc to "1" as well. (Default is 0)
g_mSTFU | If this is set to 1, clients are silenced in Duel and Powerduel gamemodes. (Default is 0)
g_mAdminGun | If this is set to 1, All Admin's can use the crosshair to aim and execute admin commands on the target. (Default is 1)
g_mWelcomeMessage | Shows custom welcome message in the console.
g_mHelpInfo | This info aids clients on the server.
g_mLoggedInAdmin | This displays custom message to client when they log in as an admin.
g_mNotLoggedInAdmin | This displays custom message to client when they fail to log in as an admin and attempt to use a command.
g_mLoggedInKnight | This displays custom message to client when they log in as an knight.
g_mNotLoggedInKnight | This displays custom message to client when they fail to log in as an knight and attempt to use a command.
g_mMOTDContents | The contents of the message of the day.
g_mMOTDShowTime | The time to show the Message of The Day in seconds. (Default is 3)
g_mPlayerDuelShield | If this CVar is -1 then nothing changes. If it is between 0 and 100, on a duel start the players stats will be saved and the HP will become 100 and the shield will become g_mPlayerDuelShield units. After the duel the stats of the remaining player is restored. This should make duels a bit more fair. This also works for Duel and Powerduel Gameplay Mode. (Default is 50)
g_mNoAdminSpec | If this is 1, No Client may Follow Spectate a logged in admin, both knight and admin, but a logged in admin may Follow Spectate a admin. (Default is 0)
g_mSlientWhois | If this CVar is 1, will only show other logged in admins who is currently logged in. If it is 0, then everyone will see who is logged in. (Default is 0)
g_mDuelDistance | This is the distance two clients in a duel can get from one another before a duel is broken, the larger the number the further away they can get. (Default is 1024)
g_mFFPrivateDuels | This allows for Full Force Private Duels. Clients use the command amffduelchallenge to challenge and engage in the Full Force Duels. (Default is 0)
g_mProfanityCheck | If this CVar is 1, it will replace the found profanity with the characters in the g_mProfReplace CVar. If this CVar is set to 2, it will cut out the profanity from the message. If this CVar is 3, it will replace the found profanity and warn the player X amount of times, until that time is reached, then kick them. (Default is 0)
g_mProfReplace | This contains the characters to replace a found profanity. (Default is " !@#$&*")
g_mWarnings | This is the number of warnings to give a Client for cursing before a kick, if g_mProfanityCheck is set to 3. (Default is 3)
g_mEmotes | This value determines which emotes are available to the clients. Its value is the sum of all the desired emote's bit value. (Default is 63 all enabled)
g_mOnlySitOnGround | If ths CVar is 1, certain emotes will only be abled to be executed while on the ground. (Default is 1)
g_mProfCheckNames | If this CVar is 1, it will replace the 'bad' name with the name Padawan. (Default is 0)
g_mSwitchTeamTime | Allows for the adjustment of how long before a player can switch to a different team or join spectator, in seconds.(Default is 5)
g_mNameChangeTime | Allows for the adjustment of how long before a player can change their name, in seconds. (Default is 5)
g_mKickDelayTime | The time delay from when the kick or kickban command is issued until the player is kicked or kick banned from the server, in seconds. (Default is 5)
g_mKickMessage | This is the default kick message, if when a admin is kicking or kick banning a player and they do not give a reason this will be used. (Default is "No Reason Given.")
g_mMaxDetandMine | Allows to set the maximum number of Det packs or mines that can be placed. Both weapons use the same value. (Default is 9)
Please see the enclosed reloaded.cfg file for an example. ### Bit Mask Calculator What is this Bit Mask Calculator? To put it simply the Bit Mask Calculator is a way to quicky figure out what command a knight or a admin has acccess too. Or to quickly adjust what commands a knight or admin has access too. How Do I Use It? Also this is very easy to, first you choose from the two radio buttons, which level of admin you want to adjust/set command access for. Then you can either Enter a value, and choose admin commands, and it will check all the commands that, the Bit Mask Value you entered, is assocated with. Or you can just start checking what commands you want that level of admin to have. Once you have chosen all the commands you want, you can click the Copy To Clipboard button, and the text in the text field will be copied to the clipboard. So that you can open up your reloaded.cfg, and do Edit -> Paste, and the command will go straight to your config file. Example Usage For example, say I want to give Knight level admins access to only the Kick, Status, Game Type, and WhoIs commands. First I click on the radio button "Knight Commands," next I click the Kick, Status, Game Type and WhoIs check boxes. So in the edit box I now see "seta g_mAdminCommands "199168"". Now that I have choosen all the commands I want, I now click "Copy To Clipboard". Go to where I installed my server, open up my reloaded.cfg using WordPad or Note Pad. I go to the end of the file, click somewhere so i see the blinking '|', then go to Edit and click Paste, and now in my config file I see seta g_mAdminCommands "199168". At the end of the file. ### Known Issues When changing some message CVars you can use '%s' to add the player name to the message. When changing the message in the console however, the '%' becomes a '.' so the name won't be displayed. Also when using spaces, it tends to only display the first word. A workaround for this is to only change the values in the config and re-exec it. The am/jk commands need a '/' or '\' (without quotes) in front of them when executing. Else the command will be shown as a talk command to all players. If the mod was client side this issue would not be around, because the commands could offically be added, so a '\' or '/' would not be needed. If you edit profanity.lst or badnames.lst and you do not leave a blank empty line at the end of the file. The server will hang or crash on start up. Make sure to add a trailing empty line after the last entry in those files. If you change game types and players reconnect, the ip logging becomes null and void, and only newly connecting clients will have their ips logged. Bug does not exists if the server just changes maps. If you try to use the maddprof or maddname, and you give it a name with spaces, ie "You suck" it will only read in "You". If you want to add names with spaces, you must add it manually to the profanity.lst or badnames.lst. ### FAQ The installation instructions confuse me, is there a more detailed way to install? - Yes, Make sure there is a reload folder in the gamedata directory. Inside the reload folder, you will find these files. jampgamex86.dll or jampgamei386.so (.dll is for Windows, .so is for Linux) reloaded.cfg description.txt BanIP.dat profanity.lst badnames.lst When all of these files are in, the mod should load with no problems. Open up the reloaded.cfg file in notepad and edit the cVars that control the passwords. After this, save the file and close it. Then this being linux you can just start the server with the command /.linuxjampded +set fs_game reload +exec reloaded.cfg +exec server.cfg This will launch the linux dedicated server, and for windows jampded.exe +set fs_game reload +exec reloaded.cfg +exec server.cfg. Starts the server with the reloaded mod and exec the reloaded and server config files. From there you can then connect to the server use the \amlogin command or \jklogin to get admin on the server. Why is the config file so short? Every default setting for JA Reloaded has been hard coded in the mod to 1) Shorten the size of the config file. 2) Be much easier to set up, even if you do not run config files. The JAR_Readme.htm lists all cVars that are in the mod. Just type those that you wish to change in the config file. An example for Admin Password, it would be: seta g_mAdminPassword "mypass" You will need to place a ( seta ) in front of all cVars you change. Once you have edited all that you want in the config (reloaded.cfg or server.cfg ) When you launch your server be sure to use the \exec command to execute your script. example: \exec reloaded.cfg What is this Bit Value Thingy? - You have to add the numbers together to get a value which you place in the g_mAdminCommands cvar or g_mKnightCommands cvar. example: If you just want amkickban, amsleep, and amstatus commands for "am" admin. You would first look up their bit value. kickban = 4096 sleep = 1 status = 131072 Now add those together 4096+1+131072 = 135169 You will now set g_mAdminCommands to 135169 in your reloaded.cfg file.(seta g_mAdminCommands "135169") This same pattern goes for both of the new bit value cvars (g_mAdminCommands,g_mKnightCommands) Or you can use the newly include Bit Mask Calculator to do all that math for you. How do I get admin on my server and enable some commands? This is quite simple. If you open up your reloaded.cfg you will notice that there are no entries for admin passwords or \anything. That is because there are default values for the password, just like every other cVar, as stated above in this read me. But that's not smart to use those since they are 'easy' passwords. So what you do is open up that reloaded.cfg, and some where in there add the lines: seta g_mAdminPassword "Password" That will allow for people to use the "/amlogin" command and have access to all the "am" commands you have enabled. seta g_mKnightPassword "OtherPassword" That will allow for people who know this password to use the "/jklogin" command and have access to all the "jk" command. Now you can use the new Bit wise Calculator to enable/disable commands. Its very easy, just check all the commands you want Knights have access too and click the radio button that says 'Knight Commands' and you can copy that line of text and place it in your reloaded.cfg. Something like this: seta g_mKnightCommands "SomeBigNumber" and you can do the same thing for Admins. As always its recommended to not have all commands enabled for both ranks. Since that defeats the purpose of having the ranks. The Knight should be the lower ranking admin, have less commands. While the Admin should have just about all the commands. ### Special Thanks cHoSeN oNe for the development of JAMod up to version 1.5 and JAR Mod up to version 1.3, full credit for features in those Mod's, that are available and featured in future versions, belongs to him. Check out his next project Attack of The Clones: Total Conversion The JA Reloaded Quality Assurance Team (You know who you are...) Darth Mobility for his incredible web site. Moria, Marker0077, X Master Hex, and the OJP Team for their extra support. jk3files.com file administrators for their prompt service. The Jedi Academy ### Disclaimer Use this mod on your own risk. I take no responsibility what so ever for anything that might happen when using it. The mod has been primarily tested in all modes and gameplays on Linux servers. You do not have permission to decompile or modify this mod in any form or you will be immediately reported to Raven and brought to justice. The source code will NOT be released for download so please don't ask. This mod may not be re-distributed. Accept no cheap admin mod imitations. Please Read this Help document before coming to me with questions. Most questions can be answered by reading the documentation. If clarification is need on a subject that is not understood by reading this document, help will be provided. If I feel that you have not read this document no support will be given.